// waningdi.cpp : implementation file
//

#include "stdafx.h"
#include "diagno.h"
#include "waningdi.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWaningDialog dialog


CWaningDialog::CWaningDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CWaningDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CWaningDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT           
	nResult = 0;
	Create(IDD);
}

void CWaningDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWaningDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CWaningDialog, CDialog)
	//{{AFX_MSG_MAP(CWaningDialog)
	ON_BN_CLICKED(IDOK, OnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CWaningDialog message handlers

void CWaningDialog::OnOk()
{
	// TODO: Add your control notification handler code here 
	nResult =1;
	
}

void CWaningDialog::OnCancel()
{
	// TODO: Add extra cleanup here 
	nResult = 2;
	
	CDialog::OnCancel();
}
